import calendar
import time

def monthTupleJS(year = 0, month = 0):
    if not year or not month:
        year, month = time.gmtime(time.time())[:2]
    year, month = int(year), int(month)
    today = time.gmtime(time.time())[:3]
    cal = calendar.monthcalendar(year, month)
    for i in range(len(cal)):
        w = cal[i]
        for j in range(len(w)):
            d = cal[i][j]
            if d == 0:
                cal[i][j] = ''
                continue
            more = ''
            if (year, month, d) == today:
                more = ' id="today"'
            date = '%s-%02d-%02d' % (year, month, cal[i][j])
            cal[i][j] = """<a href="#" onclick="selectDay('%s')"%s>%s</a>""" % (date, more, cal[i][j])
    return cal

def getDayLabels():
    return ( N_('Monday'), N_('Tuesday'), N_('Wednesday'), N_('Thursday'),
             N_('Friday'), N_('Saturday'), N_('Sunday') )

def getMonthYear(year = 0, month = 0):
    if not year or not month:
        year, month = time.gmtime(time.time())[:2]
    year, month = int(year), int(month)
    monthNames = (N_('January'), N_('February'), N_('March'), N_('April'),
                    N_('May'), N_('June'), N_('July'), N_('August'), N_('September'),
                    N_('October'), N_('November'), N_('December') )
    return '%s %s' % (_(monthNames[month-1]), year)

def getPreviousMonth(year = 0, month = 0):
    if not year or not month:
        year, month = time.gmtime(time.time())[:2]
    year, month = int(year), int(month)
    if month == 1:
        return (year-1, 12)
    else:
        return (year, month-1)

def getNextMonth(year = 0, month = 0):
    if not year or not month:
        year, month = time.gmtime(time.time())[:2]
    year, month = int(year), int(month)
    if month == 12:
        return (year+1, 1)
    else:
        return (year, month+1)

